All Data Structures Namespaces Files Functions Variables Pages
winner.php File Reference

Go to the source code of this file.

## Variables

const | CURSCRIPT 'winner'
if(!isset($command)) if($command== 'info') elseif($command== 'news') | else
| for ($i=0;$i<$listnum;$i++)

## Variable Documentation

const CURSCRIPT 'winner'

Definition at line 3 of file winner.php.

if (!isset($command)) if ($command== 'info') elseif ($command== 'news') else

Initial value:
{
if(!isset($start) || !$start){
$result = $db->query("SELECT gid,name,icon,gd,wep,wmode,getime,motto,hdp,hdmg,hkp,hkill FROM {$tablepre}winners ORDER BY gid desc LIMIT $winlimit");
} else {
$result = $db->query("SELECT gid,name,icon,gd,wep,wmode,getime,motto,hdp,hdmg,hkp,hkill FROM {$tablepre}winners WHERE gid<='$start' ORDER BY gid desc LIMIT $winlimit");
}
while($wdata = $db->fetch_array($result)) {
$wdata['date'] = date("Y-m-d",$wdata['getime']);
$wdata['time'] = date("H:i:s",$wdata['getime']);
$wdata['iconImg'] = $wdata['gd'] == 'f' ? 'f_'.$wdata['icon'].'.gif' : 'm_'.$wdata['icon'].'.gif';
$winfo[$wdata['gid']] = $wdata;
}
$listnum = floor($gamenum/$winlimit)
$db
$db
Definition: clear.php:32
$winlimit
$winlimit
Definition: system.php:36
$gamenum
$gamenum
Definition: gameinfo.php:3
$result
if(!$cuser||!$cpass) $result
Definition: admin.php:25
$start
$start
Definition: npcmng.php:12

Definition at line 23 of file winner.php.

for($i=0;$i<$listnum;$i++)

Definition at line 37 of file winner.php.